VMware server

Imagen de doublet
0 puntos

Hola chicos!

 Acabo de estrenar una ubuntu feisty y he intentado instalar vmware server pero como no soy muy experto me he liado con algo y ahora tengo un desastree !!!

 he encontrado esta página para instalar facilmente VMWare server en mi ubuntu 7.04, todo ha ido bien hasta que la he fastidiado con el kernelcreo yo ... y ahora no se como solucionarlo.

 La página que he seguido es esta:

 http://www.ubuntugeek.com/how-to-install-vmware-server-from-canonical-co...

 Lo dicho, yo creo que me he equivocado en el kernel y he puesto una versión que no era, pero ya se ha liado todo ...

   El paquete `linux-image-2.6.20-15-generic' que provee `linux-image-2.6' aún no está configurado.
dpkg: error al procesar vmware-server-kernel-modules-2.6.20-16 (--configure):
 problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de vmware-server-kernel-modules:
 vmware-server-kernel-modules depende de vmware-server-kernel-modules-2.6.20-16; sin embargo:
 El paquete `vmware-server-kernel-modules-2.6.20-16' no está configurado todavía.
dpkg: error al procesar vmware-server-kernel-modules (--configure):
 problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de vmware-server:
 vmware-server depende de vmware-server-kernel-modules; sin embargo:
 El paquete `vmware-server-kernel-modules' no está configurado todavía.
dpkg: error al procesar vmware-server (--configure):
 problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de vmware-tools-kernel-modules-2.6.20-16:
 vmware-tools-kernel-modules-2.6.20-16 depende de linux-image-2.6; sin embargo:
  El paquete `linux-image-2.6' no está instalado.
  El paquete `linux-image-2.6.20-15-386' que provee `linux-image-2.6' aún no está configurado.
  El paquete `linux-image-2.6.20-15-generic' que provee `linux-image-2.6' aún no está configurado.
dpkg: error al procesar vmware-tools-kernel-modules-2.6.20-16 (--configure):
 problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de vmware-tools-kernel-modules:
 vmware-tools-kernel-modules depende de vmware-tools-kernel-modules-2.6.20-16; sin embargo:
 El paquete `vmware-tools-kernel-modules-2.6.20-16' no está configurado todavía.
dpkg: error al procesar vmware-tools-kernel-modules (--configure):
 problemas de dependencias - se deja sin configurar
Se encontraron errores al procesar:
 linux-image-2.6.20-15-generic
 linux-image-2.6.20-15-386
 vmware-server-kernel-modules-2.6.20-16
 vmware-server-kernel-modules
 vmware-server
 vmware-tools-kernel-modules-2.6.20-16
 vmware-tools-kernel-modules
E: Sub-process /usr/bin/dpkg returned an error code (1)
admin@ubuntu:~/Desktop/files/vmware/vmware-server-distrib/etc$ sudo apt-get install linux-image-2.6.20-15-generic
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias      
Leyendo información de estado... Hecho
linux-image-2.6.20-15-generic ya está en su versión más reciente.
linux-image-2.6.20-15-generic fijar a instalado manual.
0 actualizados, 0 se instalarán, 0 para eliminar y 0 no actualizados.
7 no instalados del todo o eliminados.
Necesito descargar 0B de archivos.
Se utilizarán 0B de espacio de disco adicional después de desempaquetar.
Configurando linux-image-2.6.20-15-generic (2.6.20-15.27) ...
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.20-15-generic
Added linux *
Not updating initrd symbolic links since we are being updated/reinstalled
(2.6.20-15.27 was configured last, according to dpkg)
Not updating image symbolic links since we are being updated/reinstalled
(2.6.20-15.27 was configured last, according to dpkg)
Could not find postinst hook script [update-grub].
Looked in: '/bin', '/sbin', '/usr/bin', '/usr/sbin'
dpkg: error al procesar linux-image-2.6.20-15-generic (--configure):
 el subproceso post-installation script devolvió el código de salida de error 2
Configurando linux-image-2.6.20-15-386 (2.6.20-15.27) ...
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.20-15-386
Could not find postinst hook script [update-grub].
Looked in: '/bin', '/sbin', '/usr/bin', '/usr/sbin'
dpkg: error al procesar linux-image-2.6.20-15-386 (--configure):
 el subproceso post-installation script devolvió el código de salida de error 2
dpkg: problemas de dependencias impiden la configuración de vmware-server-kernel-modules-2.6.20-16:
 vmware-server-kernel-modules-2.6.20-16 depende de linux-image-2.6; sin embargo:
  El paquete `linux-image-2.6' no está instalado.
  El paquete `linux-image-2.6.20-15-386' que provee `linux-image-2.6' aún no está configurado.
  El paquete `linux-image-2.6.20-15-generic' que provee `linux-image-2.6' aún no está configurado.
dpkg: error al procesar vmware-server-kernel-modules-2.6.20-16 (--configure):
 problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de vmware-server-kernel-modules:
 vmware-server-kernel-modules depende de vmware-server-kernel-modules-2.6.20-16; sin embargo:
 El paquete `vmware-server-kernel-modules-2.6.20-16' no está configurado todavía.
dpkg: error al procesar vmware-server-kernel-modules (--configure):
 problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de vmware-server:
 vmware-server depende de vmware-server-kernel-modules; sin embargo:
 El paquete `vmware-server-kernel-modules' no está configurado todavía.
dpkg: error al procesar vmware-server (--configure):
 problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de vmware-tools-kernel-modules-2.6.20-16:
 vmware-tools-kernel-modules-2.6.20-16 depende de linux-image-2.6; sin embargo:
  El paquete `linux-image-2.6' no está instalado.
  El paquete `linux-image-2.6.20-15-386' que provee `linux-image-2.6' aún no está configurado.
  El paquete `linux-image-2.6.20-15-generic' que provee `linux-image-2.6' aún no está configurado.
dpkg: error al procesar vmware-tools-kernel-modules-2.6.20-16 (--configure):
 problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de vmware-tools-kernel-modules:
 vmware-tools-kernel-modules depende de vmware-tools-kernel-modules-2.6.20-16; sin embargo:
 El paquete `vmware-tools-kernel-modules-2.6.20-16' no está configurado todavía.
dpkg: error al procesar vmware-tools-kernel-modules (--configure):
 problemas de dependencias - se deja sin configurar
Se encontraron errores al procesar:
 linux-image-2.6.20-15-generic
 linux-image-2.6.20-15-386
 vmware-server-kernel-modules-2.6.20-16
 vmware-server-kernel-modules
 vmware-server
 vmware-tools-kernel-modules-2.6.20-16
 vmware-tools-kernel-modules
E: Sub-process /usr/bin/dpkg returned an error code (1)
admin@ubuntu:~/Desktop/files/vmware/vmware-server-distrib/etc$ apt-get install linux-image-2.6.20-15-386
E: No se pudo abrir el fichero de bloqueo '/var/lib/dpkg/lock' - open (13 Permiso denegado)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?
admin@ubuntu:~/Desktop/files/vmware/vmware-server-distrib/etc$ sudo apt-get install linux-image-2.6.20-15-386
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias      
Leyendo información de estado... Hecho
linux-image-2.6.20-15-386 ya está en su versión más reciente.
0 actualizados, 0 se instalarán, 0 para eliminar y 0 no actualizados.
7 no instalados del todo o eliminados.
Necesito descargar 0B de archivos.
Se utilizarán 0B de espacio de disco adicional después de desempaquetar.
Configurando linux-image-2.6.20-15-generic (2.6.20-15.27) ...
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.20-15-generic
Added linux *
Not updating initrd symbolic links since we are being updated/reinstalled
(2.6.20-15.27 was configured last, according to dpkg)
Not updating image symbolic links since we are being updated/reinstalled
(2.6.20-15.27 was configured last, according to dpkg)
Could not find postinst hook script [update-grub].
Looked in: '/bin', '/sbin', '/usr/bin', '/usr/sbin'
dpkg: error al procesar linux-image-2.6.20-15-generic (--configure):
 el subproceso post-installation script devolvió el código de salida de error 2
Configurando linux-image-2.6.20-15-386 (2.6.20-15.27) ...
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.20-15-386
Could not find postinst hook script [update-grub].
Looked in: '/bin', '/sbin', '/usr/bin', '/usr/sbin'
dpkg: error al procesar linux-image-2.6.20-15-386 (--configure):
 el subproceso post-installation script devolvió el código de salida de error 2
dpkg: problemas de dependencias impiden la configuración de vmware-server-kernel-modules-2.6.20-16:
 vmware-server-kernel-modules-2.6.20-16 depende de linux-image-2.6; sin embargo:
  El paquete `linux-image-2.6' no está instalado.
  El paquete `linux-image-2.6.20-15-386' que provee `linux-image-2.6' aún no está configurado.
  El paquete `linux-image-2.6.20-15-generic' que provee `linux-image-2.6' aún no está configurado.
dpkg: error al procesar vmware-server-kernel-modules-2.6.20-16 (--configure):
 problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de vmware-server-kernel-modules:
 vmware-server-kernel-modules depende de vmware-server-kernel-modules-2.6.20-16; sin embargo:
 El paquete `vmware-server-kernel-modules-2.6.20-16' no está configurado todavía.
dpkg: error al procesar vmware-server-kernel-modules (--configure):
 problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de vmware-server:
 vmware-server depende de vmware-server-kernel-modules; sin embargo:
 El paquete `vmware-server-kernel-modules' no está configurado todavía.
dpkg: error al procesar vmware-server (--configure):
 problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de vmware-tools-kernel-modules-2.6.20-16:
 vmware-tools-kernel-modules-2.6.20-16 depende de linux-image-2.6; sin embargo:
  El paquete `linux-image-2.6' no está instalado.
  El paquete `linux-image-2.6.20-15-386' que provee `linux-image-2.6' aún no está configurado.
  El paquete `linux-image-2.6.20-15-generic' que provee `linux-image-2.6' aún no está configurado.
dpkg: error al procesar vmware-tools-kernel-modules-2.6.20-16 (--configure):
 problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de vmware-tools-kernel-modules:
 vmware-tools-kernel-modules depende de vmware-tools-kernel-modules-2.6.20-16; sin embargo:
 El paquete `vmware-tools-kernel-modules-2.6.20-16' no está configurado todavía.
dpkg: error al procesar vmware-tools-kernel-modules (--configure):
 problemas de dependencias - se deja sin configurar
Se encontraron errores al procesar:
 linux-image-2.6.20-15-generic
 linux-image-2.6.20-15-386
 vmware-server-kernel-modules-2.6.20-16
 vmware-server-kernel-modules
 vmware-server
 vmware-tools-kernel-modules-2.6.20-16
 vmware-tools-kernel-modules
E: Sub-process /usr/bin/dpkg returned an error code (1)
admin@ubuntu:~/Desktop/files/vmware/vmware-server-distrib/etc$ apt-get
apt 0.6.46.4ubuntu10 para linux i386 compilado en Mar 14 2007 17:43:24
Uso: apt-get [opciones] orden
     apt-get [opciones] install|remove paq1 [paq2 ...]
     apt-get [opciones] source paq1 [paq2 ...]

apt-get es una sencilla interfaz de línea de órdenes para descargar e
instalar paquetes. Las órdenes más utilizadas son update e install.

Órdenes:
   update - Descarga nuevas listas de paquetes
   upgrade - Realiza una actualización
   install - Instala nuevos paquetes (paquete es libc6 y no libc6.deb)
   remove - Elimina paquetes
   source - Descarga archivos fuente
   build-dep - Configura las dependencias de construcción para paquetes fuente
   dist-upgrade - Actualiza la distribución, vea apt-get(8)
   dselect-upgrade - Sigue las selecciones de dselect
   clean - Elimina los archivos descargados
   autoclean - Elimina los archivos descargados antiguos
   check - Verifica que no haya dependencias incumplidas

Opciones:
  -h  Este texto de ayuda.
  -q  Salida registrable - sin indicador de progreso
  -qq Sin salida, excepto si hay errores
  -d  Sólo descarga - NO instala o desempaqueta los archivos
  -s  No actúa. Realiza una simulación
  -y  Asume Sí para todas las consultas
  -f  Intenta continuar si la comprobación de integridad falla
  -m  Intenta continuar si los archivos no son localizables
  -u  Muestra también una lista de paquetes actualizados
  -b  Construye el paquete fuente después de obtenerlo
  -V  Muesta números de versión detallados
  -c=? Lee este archivo de configuración
  -o=? Establece una opción de configuración arbitraria, p. ej.
       -o dir::cache=/tmp
Consulte las páginas del manual de apt-get(8), sources.list(5) y apt.conf(5)
para más información y opciones.
                       Este APT tiene poderes de Super Vaca.
admin@ubuntu:~/Desktop/files/vmware/vmware-server-distrib/etc$ apt-get check
E: No se pudo abrir el fichero de bloqueo '/var/lib/dpkg/lock' - open (13 Permiso denegado)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?
admin@ubuntu:~/Desktop/files/vmware/vmware-server-distrib/etc$ sudo apt-get check
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias      
Leyendo información de estado... Hecho
admin@ubuntu:~/Desktop/files/vmware/vmware-server-distrib/etc$ apt-get install linux-image-2.6.20-15-386    
E: No se pudo abrir el fichero de bloqueo '/var/lib/dpkg/lock' - open (13 Permiso denegado)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?
admin@ubuntu:~/Desktop/files/vmware/vmware-server-distrib/etc$ sudo apt-get install linux-image-2.6.20-15-386
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias      
Leyendo información de estado... Hecho
linux-image-2.6.20-15-386 ya está en su versión más reciente.
0 actualizados, 0 se instalarán, 0 para eliminar y 0 no actualizados.
7 no instalados del todo o eliminados.
Necesito descargar 0B de archivos.
Se utilizarán 0B de espacio de disco adicional después de desempaquetar.
Configurando linux-image-2.6.20-15-generic (2.6.20-15.27) ...
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.20-15-generic
Added linux *
Not updating initrd symbolic links since we are being updated/reinstalled
(2.6.20-15.27 was configured last, according to dpkg)
Not updating image symbolic links since we are being updated/reinstalled
(2.6.20-15.27 was configured last, according to dpkg)
Could not find postinst hook script [update-grub].
Looked in: '/bin', '/sbin', '/usr/bin', '/usr/sbin'
dpkg: error al procesar linux-image-2.6.20-15-generic (--configure):
 el subproceso post-installation script devolvió el código de salida de error 2
Configurando linux-image-2.6.20-15-386 (2.6.20-15.27) ...
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.20-15-386
Could not find postinst hook script [update-grub].
Looked in: '/bin', '/sbin', '/usr/bin', '/usr/sbin'
dpkg: error al procesar linux-image-2.6.20-15-386 (--configure):
 el subproceso post-installation script devolvió el código de salida de error 2
dpkg: problemas de dependencias impiden la configuración de vmware-server-kernel-modules-2.6.20-16:
 vmware-server-kernel-modules-2.6.20-16 depende de linux-image-2.6; sin embargo:
  El paquete `linux-image-2.6' no está instalado.
  El paquete `linux-image-2.6.20-15-386' que provee `linux-image-2.6' aún no está configurado.
  El paquete `linux-image-2.6.20-15-generic' que provee `linux-image-2.6' aún no está configurado.
dpkg: error al procesar vmware-server-kernel-modules-2.6.20-16 (--configure):
 problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de vmware-server-kernel-modules:
 vmware-server-kernel-modules depende de vmware-server-kernel-modules-2.6.20-16; sin embargo:
 El paquete `vmware-server-kernel-modules-2.6.20-16' no está configurado todavía.
dpkg: error al procesar vmware-server-kernel-modules (--configure):
 problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de vmware-server:
 vmware-server depende de vmware-server-kernel-modules; sin embargo:
 El paquete `vmware-server-kernel-modules' no está configurado todavía.
dpkg: error al procesar vmware-server (--configure):
 problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de vmware-tools-kernel-modules-2.6.20-16:
 vmware-tools-kernel-modules-2.6.20-16 depende de linux-image-2.6; sin embargo:
  El paquete `linux-image-2.6' no está instalado.
  El paquete `linux-image-2.6.20-15-386' que provee `linux-image-2.6' aún no está configurado.
  El paquete `linux-image-2.6.20-15-generic' que provee `linux-image-2.6' aún no está configurado.
dpkg: error al procesar vmware-tools-kernel-modules-2.6.20-16 (--configure):
 problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de vmware-tools-kernel-modules:
 vmware-tools-kernel-modules depende de vmware-tools-kernel-modules-2.6.20-16; sin embargo:
 El paquete `vmware-tools-kernel-modules-2.6.20-16' no está configurado todavía.
dpkg: error al procesar vmware-tools-kernel-modules (--configure):
 problemas de dependencias - se deja sin configurar
Se encontraron errores al procesar:
 linux-image-2.6.20-15-generic
 linux-image-2.6.20-15-386
 vmware-server-kernel-modules-2.6.20-16
 vmware-server-kernel-modules
 vmware-server
 vmware-tools-kernel-modules-2.6.20-16
 vmware-tools-kernel-modules
E: Sub-process /usr/bin/dpkg returned an error code (1)
admin@ubuntu:~/Desktop/files/vmware/vmware-server-distrib/etc$ automa
admin@ubuntu:~/Desktop/files/vmware/vmware-server-distrib/etc$ Auto
admin@ubuntu:~/Desktop/files/vmware/vmware-server-distrib/etc$ su -
Password:
root@ubuntu:~# Auto
root@ubuntu:~# whoami
root
root@ubuntu:~# apt-get remove linux-image-2.6 linux-image-2.6.20-15-386 linux-image-2.6.20-15-generic
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias      
Leyendo información de estado... Hecho
El paquete linux-image-2.6 no esta instalado, no se eliminará
Los siguientes paquetes se ELIMINARÁN:
  linux-image-2.6.20-15-386 linux-image-2.6.20-15-generic vmware-server vmware-server-kernel-modules
  vmware-server-kernel-modules-2.6.20-16 vmware-tools-kernel-modules vmware-tools-kernel-modules-2.6.20-16
0 actualizados, 0 se instalarán, 7 para eliminar y 0 no actualizados.
7 no instalados del todo o eliminados.
Necesito descargar 0B de archivos.
Se liberarán 281MB después de desempaquetar.
¿Desea continuar [S/n]? s
(Leyendo la base de datos ... 
87788 ficheros y directorios instalados actualmente.)
Desinstalando vmware-tools-kernel-modules ...
Desinstalando vmware-tools-kernel-modules-2.6.20-16 ...
Desinstalando vmware-server ...
Desinstalando vmware-server-kernel-modules ...
Desinstalando vmware-server-kernel-modules-2.6.20-16 ...
Desinstalando linux-image-2.6.20-15-386 ...
Could not find postrm hook script [update-grub].
Looked in: '/bin', '/sbin', '/usr/bin', '/usr/sbin'
The link /vmlinuz is a damaged link
Removing symbolic link vmlinuz
Unless you used the optional flag in lilo,
 you may need to re-run your boot loader[lilo]
The link /vmlinuz.old is a damaged link
Removing symbolic link vmlinuz.old
Unless you used the optional flag in lilo,
 you may need to re-run your boot loader[lilo]
The link /initrd.img is a damaged link
Removing symbolic link initrd.img
Unless you used the optional flag in lilo,
 you may need to re-run your boot loader[lilo]
The link /initrd.img.old is a damaged link
Removing symbolic link initrd.img.old
Unless you used the optional flag in lilo,
 you may need to re-run your boot loader[lilo]
Desinstalando linux-image-2.6.20-15-generic ...
Could not find postrm hook script [update-grub].
Looked in: '/bin', '/sbin', '/usr/bin', '/usr/sbin'
root@ubuntu:~# dpkg -l | grep vmware-tools-kernel-modules
rc  vmware-tools-kernel-modules-2.6.20-16      2.6.20.6-16.30                              vmware-tools modules for Linux (kernel 2.6.2
root@ubuntu:~# apt-get remove vmware-tools-kernel-modules
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias      
Leyendo información de estado... Hecho
El paquete vmware-tools-kernel-modules no esta instalado, no se eliminará
0 actualizados, 0 se instalarán, 0 para eliminar y 0 no actualizados.
root@ubuntu:~# whoami
root@ubuntu:~# apt-get
apt 0.6.46.4ubuntu10 para linux i386 compilado en Mar 14 2007 17:43:24
Uso: apt-get [opciones] orden
     apt-get [opciones] install|remove paq1 [paq2 ...]
     apt-get [opciones] source paq1 [paq2 ...]

apt-get es una sencilla interfaz de línea de órdenes para descargar e
instalar paquetes. Las órdenes más utilizadas son update e install.

Órdenes:
   update - Descarga nuevas listas de paquetes
   upgrade - Realiza una actualización
   install - Instala nuevos paquetes (paquete es libc6 y no libc6.deb)
   remove - Elimina paquetes
   source - Descarga archivos fuente
   build-dep - Configura las dependencias de construcción para paquetes fuente
   dist-upgrade - Actualiza la distribución, vea apt-get(8)
   dselect-upgrade - Sigue las selecciones de dselect
   clean - Elimina los archivos descargados
   autoclean - Elimina los archivos descargados antiguos
   check - Verifica que no haya dependencias incumplidas

Opciones:
  -h  Este texto de ayuda.
  -q  Salida registrable - sin indicador de progreso
  -qq Sin salida, excepto si hay errores
  -d  Sólo descarga - NO instala o desempaqueta los archivos
  -s  No actúa. Realiza una simulación
  -y  Asume Sí para todas las consultas
  -f  Intenta continuar si la comprobación de integridad falla
  -m  Intenta continuar si los archivos no son localizables
  -u  Muestra también una lista de paquetes actualizados
  -b  Construye el paquete fuente después de obtenerlo
  -V  Muesta números de versión detallados
  -c=? Lee este archivo de configuración
  -o=? Establece una opción de configuración arbitraria, p. ej.
       -o dir::cache=/tmp
Consulte las páginas del manual de apt-get(8), sources.list(5) y apt.conf(5)
para más información y opciones.
                       Este APT tiene poderes de Super Vaca.
root@ubuntu:~# apt-get check
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias      
Leyendo información de estado... Hecho
root@ubuntu:~# dpkg -l | grep vmware-tools-kernel-modules
rc  vmware-tools-kernel-modules-2.6.20-16      2.6.20.6-16.30                              vmware-tools modules for Linux (kernel 2.6.2
root@ubuntu:~# uname -a
Linux ubuntu.ovh.net 2.6.24.2-xxxx-std-ipv4-32 #1 SMP Mon Feb 11 15:26:43 CET 2008 i686 GNU/Linux
root@ubuntu:~# apt-get install vmware-server-kernel-modules-2.6.24*
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias      
Leyendo información de estado... Hecho
Nota, seleccionando vmware-server-kernel-modules-2.6.20-15 para la expresión regular 'vmware-server-kernel-modules-2.6.24*'
Nota, seleccionando vmware-server-kernel-modules-2.6.20-16 para la expresión regular 'vmware-server-kernel-modules-2.6.24*'
Se instalarán los siguientes paquetes extras:
  linux-image-2.6.20-15-386 vmware-server-kernel-modules-2.6.20-15 vmware-server-kernel-modules-2.6.20-16
Paquetes sugeridos:
  linux-doc-2.6.20 linux-source-2.6.20
Se instalarán los siguientes paquetes NUEVOS:
  linux-image-2.6.20-15-386 vmware-server-kernel-modules-2.6.20-15 vmware-server-kernel-modules-2.6.20-16
0 actualizados, 3 se instalarán, 0 para eliminar y 0 no actualizados.
Se necesita descargar 2774kB/29,4MB de archivos.
Se utilizarán 83,9MB de espacio de disco adicional después de desempaquetar.
¿Desea continuar [S/n]? s
Des:1 ftp://mirror.ovh.net feisty/restricted vmware-server-kernel-modules-2.6.20-15 2.6.20.5-15.20 [2774kB]
Descargados 2774kB en 0s (7523kB/s)                     
Preconfigurando paquetes ...
Seleccionando el paquete linux-image-2.6.20-15-386 previamente no seleccionado.
(Leyendo la base de datos ... 
81791 ficheros y directorios instalados actualmente.)
Desempaquetando linux-image-2.6.20-15-386 (de .../linux-image-2.6.20-15-386_2.6.20-15.27_i386.deb) ...
Done.
Seleccionando el paquete vmware-server-kernel-modules-2.6.20-15 previamente no seleccionado.
Desempaquetando vmware-server-kernel-modules-2.6.20-15 (de .../vmware-server-kernel-modules-2.6.20-15_2.6.20.5-15.20_i386.deb) ...
Seleccionando el paquete vmware-server-kernel-modules-2.6.20-16 previamente no seleccionado.
Desempaquetando vmware-server-kernel-modules-2.6.20-16 (de .../vmware-server-kernel-modules-2.6.20-16_2.6.20.6-16.30_i386.deb) ...
Configurando linux-image-2.6.20-15-386 (2.6.20-15.27) ...
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.20-15-386
Could not find postinst hook script [update-grub].
Looked in: '/bin', '/sbin', '/usr/bin', '/usr/sbin'
dpkg: error al procesar linux-image-2.6.20-15-386 (--configure):
 el subproceso post-installation script devolvió el código de salida de error 2
dpkg: problemas de dependencias impiden la configuración de vmware-server-kernel-modules-2.6.20-15:
 vmware-server-kernel-modules-2.6.20-15 depende de linux-image-2.6; sin embargo:
  El paquete `linux-image-2.6' no está instalado.
  El paquete `linux-image-2.6.20-15-386' que provee `linux-image-2.6' aún no está configurado.
  El paquete `linux-image-2.6.20-15-generic' que provee linux-image-2.6 no está instalado.
dpkg: error al procesar vmware-server-kernel-modules-2.6.20-15 (--configure):
 problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de vmware-server-kernel-modules-2.6.20-16:
 vmware-server-kernel-modules-2.6.20-16 depende de linux-image-2.6; sin embargo:
  El paquete `linux-image-2.6' no está instalado.
  El paquete `linux-image-2.6.20-15-386' que provee `linux-image-2.6' aún no está configurado.
  El paquete `linux-image-2.6.20-15-generic' que provee linux-image-2.6 no está instalado.
dpkg: error al procesar vmware-server-kernel-modules-2.6.20-16 (--configure):
 problemas de dependencias - se deja sin configurar
Se encontraron errores al procesar:
 linux-image-2.6.20-15-386
 vmware-server-kernel-modules-2.6.20-15
 vmware-server-kernel-modules-2.6.20-16
E: Sub-process /usr/bin/dpkg returned an error code (1)

Si hago un uname -a me sale esto:

root@ubuntu:~# uname -a
Linux ubuntu.dominio.com 2.6.24.2-xxxx-std-ipv4-32 #1 SMP Mon Feb 11 15:26:43 CET 2008 i686 GNU/Linux

Alguna idea para solucionarlo?